Eclipse Platform Release 3.7

## org.eclipse.ui.commands
Class ExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ui.commands.CommandException
                  org.eclipse.ui.commands.ExecutionException

All Implemented Interfaces:
  Serializable

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public final class ExecutionException

extends CommandException

Signals that an exception occured during the execution of a command.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `ExecutionException`, Serialized Form

Constructor Summary
`ExecutionException(ExecutionException e)` Deprecated. Constructs a new instance of `ExecutionException` using an instance of the new `ExecutionException`.
`ExecutionException(String message, Throwable cause)` Deprecated. Creates a new instance of this class with the specified detail message and cause.

Method Summary

Methods inherited from class org.eclipse.ui.commands.CommandException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionException

    public ExecutionException(String message,
                              Throwable cause)

  Deprecated.
  Creates a new instance of this class with the specified detail message and cause.

  Parameters:
    `message` - the detail message.
    `cause` - the cause.

### ExecutionException

    public ExecutionException(ExecutionException e)

  Deprecated.
  Constructs a new instance of `ExecutionException` using an instance of the new `ExecutionException`.

  Parameters:
    `e` - The exception from which this exception should be created; must not be `null`.
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.